# yapf_ship.cpp File Reference

Implementation of YAPF for ships. More...

`#include "../stdafx.h"`
`#include "yapf.hpp"`

Go to the source code of this file.

## Data Structures
class | CYapfFollowShipT< Types >
| Node Follower module of YAPF for ships. More...
class | CYapfCostShipT< Types >
| Cost Provider module of YAPF for ships. More...
struct | CYapfShip_TypesT< Tpf_, Ttrack_follower, Tnode_list >
| Config struct of YAPF for ships. More...
struct | CYapfShip1
struct | CYapfShip2
struct | CYapfShip3
## Functions
Trackdir | YapfChooseShipTrack (const Vehicle *v, TileIndex tile, DiagDirection enterdir, TrackBits tracks)
| Ship controller helper - path finder invoker.
void * | NpfBeginInterval ()
| performance measurement helper
int | NpfEndInterval (void *vperf)
| performance measurement helper

## Detailed Description

Implementation of YAPF for ships.

Definition in file yapf_ship.cpp.

## Function Documentation

void* NpfBeginInterval | ( |  | ) |

performance measurement helper

performance measurement helpers

Definition at line 181 of file yapf_ship.cpp.

Referenced by DoTrainPathfind().

Trackdir YapfChooseShipTrack | ( | const Vehicle * | v,
|  | TileIndex | tile,
|  | DiagDirection | enterdir,
|  | TrackBits | tracks |
| ) |  |  |

Ship controller helper - path finder invoker.

Finds the best path for given ship.

Definition at line 163 of file yapf_ship.cpp.

References _settings_game, ChooseShipTrack(), YAPFSettings::disable_node_optimization, PathfinderSettings::forbid_90_deg, GameSettings::pf, and PathfinderSettings::yapf.

Referenced by ChooseShipTrack().